[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDbGridCellHintEvent

Specifies an event handler signalled to get the hint text for a cell in a grid control.

## Declaration

Source position: dbgrids.pas line 126

`type TDbGridCellHintEvent = procedure(`
`Sender: TObject;`
`Column: TColumn;`
`var AText: string`
`) of object;`

## Arguments

`Sender` |  | Object (grid control) for the event notification.
`Column` |  | TColumn definition for the cell.
`AText` |  | Returns the cell hint text derived in the handler.

## Description

TDbGridCellHintEvent is the type used to implement the OnGetCellHint property in TCustomDBGrid.

## See also

TCustomDBGrid.OnGetCellHint |  | Event handler signalled to get the hint text for a cell in the grid control.